package test.info.dragonlady.scriptlet;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.StringReader;

import javax.servlet.ServletInputStream;

public class TestServletInputStream extends ServletInputStream {
	
	BufferedReader bfReader = null;
	
	public TestServletInputStream(String strData) {
		bfReader = new BufferedReader(new StringReader(strData));
	}

	@Override
	public int read() throws IOException {
		return bfReader.read();
	}
	
	public String readLine() throws IOException {
		return bfReader.readLine();
	}

//    public int readLine(byte[] b, int off, int len) throws IOException {
//    	return bfReader.readLine();
//    }
}
